| From: | Oliver Elphick <olly(at)lfix(dot)co(dot)uk> |
|---|---|
| To: | pgsql-patches(at)postgresql(dot)org |
| Subject: | createuser - allow user cancel or kill to work |
| Date: | 2003-02-13 11:42:34 |
| Message-ID: | 1045136554.3091.11.camel@linda.lfix.co.uk |
| Views: | Whole Thread | Raw Message | Download mbox | Resend email |
| Thread: | |
| Lists: | pgsql-patches |
At present it is impossible to kill createuser except with kill -9
Index: src/bin/scripts/createuser
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/scripts/createuser,v
retrieving revision 1.30
diff -u -r1.30 createuser
--- src/bin/scripts/createuser 2003/02/13 05:37:44 1.30
+++ src/bin/scripts/createuser 2003/02/13 11:40:32
@@ -179,7 +179,7 @@
# Don't want to leave the user blind if he breaks
# during password entry.
-trap 'stty echo >/dev/null 2>&1' 1 2 3 15
+trap 'stty echo >/dev/null 2>&1; echo; exit 1' 1 2 3 15
# Get missing user attributes
--
Oliver Elphick Oliver(dot)Elphick(at)lfix(dot)co(dot)uk
Isle of Wight, UK http://www.lfix.co.uk/oliver
GPG: 1024D/3E1D0C1C: CA12 09E0 E8D5 8870 5839 932A 614D 4C34 3E1D 0C1C
========================================
"The earth is the LORD'S, and the fullness thereof; the
world, and they that dwell therein."
Psalms 24:1
| From | Date | Subject | |
|---|---|---|---|
| Next Message | Jeroen T. Vermeulen | 2003-02-13 13:49:34 | psql patch |
| Previous Message | greg | 2003-02-13 07:03:31 | New function - hostmask |